跳到主要内容

Create execution cases in a batch

POST 

/project/executionCases/batch-create

Asynchronously adds multiple source test cases to one test plan. Duplicate bindings are idempotent. The response only confirms that the task was created. Poll /project/asyncTasks/{jobID} until the status is success, failed, or interrupted before reading the execution cases. Polling the task requires the read:project:project scope.

Request​

Query Parameters

    teamID stringrequired

    The team ID

Body

required

    planIssueID stringrequired

    The target test plan issue ID.

    sourceCaseIssueIDs string[]required

    Possible values: >= 1, <= 10000

Responses​

Batch task was created. Query /project/asyncTasks/{jobID} for progress.

Schema

    data

    object

    jobID stringrequired

    Query this ID through /project/asyncTasks/{jobID}.

    result string

    The result of this request.

    errorCode string

    The error code of this request.

    errorMsg string

    Error message for this request.

    errorData object

    Error meta data for this request.

Loading...